cretica-v-beloniae.jpg=Ophrys cretica.\
This one is named cretica var beloniea.                                                                  .
O.cretica_opt.jpg=Ophrys cretica.\
I assume the name is based on its origin in Crete.\
                                                                                                                                            .
O.cretica-2_opt.jpg=Ophrys cretica.\
Bracts longer than ovary, with dense inflorescence.
